> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get layout contacts

> Returns a list of contacts on a specified layout.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/layouts/{itemId}/contacts
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/layouts/{itemId}/contacts:
    get:
      tags:
        - Layout Matter Items
      summary: Get layout contacts
      description: Returns a list of contacts on a specified layout.
      operationId: GetLayoutMatterItemContacts
      parameters:
        - name: matterId
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: uuid
        - name: itemId
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: >-
            When request is successful. Returns a list of 'LayoutContact'
            objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LayoutContact'
        '404':
          description: When contacts do not exist for the layout item with specified id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LayoutContact:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        key:
          type: string
          description: Unique key name for the layout contact.
          nullable: true
          example: ''
        contact:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Hypermedia link of the layout contact.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````